package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.Sector;
import com.lightinit.hsdataportal.entity.SectorExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SectorMapper {
    long countByExample(SectorExample example);

    int deleteByExample(SectorExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Sector record);

    int insertSelective(Sector record);

    List<Sector> selectByExample(SectorExample example);

    Sector selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Sector record, @Param("example") SectorExample example);

    int updateByExample(@Param("record") Sector record, @Param("example") SectorExample example);

    int updateByPrimaryKeySelective(Sector record);

    int updateByPrimaryKey(Sector record);
}